> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kibocommerce.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Fetch Config

> Get the Fetch File Configs for the current tenant



## OpenAPI

````yaml /openapi/openapi_inventory.json get /commerce/inventory/v1/config/fetchfile
openapi: 3.0.0
info:
  description: |-
    <div id="overview_INVENTORY">
                <h2>INVENTORY</h2>
                <p>Use the Inventory API to retrieve the inventory levels of requested products, refresh and adjust current
                    stock levels at fulfillment locations, and tag segmented inventory for different channels. When using tags for inventory segmentation, inventory records are separated into categories to identify
                    which portions of its
                    total quantity are intended for different channels, customer groups, fulfillment methods, or other
                    needs.
                    This allows for setting a percentage of the quantity that would be available for each category and
                    setting discrete units at the location level as available for each category. For example, tags could
                    define how much of each
                    inventory record is set aside for a certain sales channel: the Kibo storefront, Walmart, or Amazon. The
                    percentages of the
                    inventory allotted for each channel would add up to 100% - the Kibo storefront could have 80% of the
                    inventory, Amazon 10%, and Walmart 10%. For more information, see the <a href="/developer-guides/inventory">Inventory guides</a>.</p>
                <p>Use the <strong>Inventory</strong>, <strong>Inventory Allocation</strong>, and <strong>Modify Inventory</strong> resources to retrieve and update inventory levels.</p>  
                <p>Use the <strong>Inventory Job</strong> resource to retrieve information about your pending inventory update processing jobs.</p> 
                <p>Use the <strong>Inventory Tag</strong> and <strong>Tag Category</strong> resources to segment your inventory records.</p> 
            </div>
  title: Inventory
  version: 0.0.1
servers:
  - description: Kibo Base URL
    url: '{baseUrl}/api'
    variables:
      baseUrl:
        default: https://t1000000.sb.usc1.gcp.kibocommerce.com
        description: Base URL
security:
  - bearerAuth: []
paths:
  /commerce/inventory/v1/config/fetchfile:
    get:
      tags:
        - InventoryFetchFileConfig
      summary: Get Fetch Config
      description: Get the Fetch File Configs for the current tenant
      parameters: []
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/M_FetchFileConfig'
          description: Success
        '404':
          description: Not Found
components:
  schemas:
    M_FetchFileConfig:
      description: Fetch File Config Model
      properties:
        active:
          description: Active
          type: boolean
        archiveBucket:
          description: S3 Archive Bucket
          type: string
        blankQuantityIsZero:
          description: Flag to convert null quantities to zero
          type: boolean
        bucket:
          description: S3 Bucket
          type: string
        csvDelimiter:
          description: CSV Delimiter
          type: string
        emailList:
          description: Email List
          type: string
        exportAfterRefresh:
          description: Flag for exporting after refresh
          type: boolean
        failed_attempts:
          description: Failed Attempts
          type: integer
        fetchFileConfigID:
          description: Fetch File Config ID
          type: integer
        fieldNameMap:
          description: List of field names
          items:
            type: string
          type: array
        ftpPassword:
          description: FTP server password
          type: string
        ftpPort:
          description: FTP server port
          type: integer
        ftpRemotePath:
          description: FTP server remote path
          type: string
        ftpRemotePathArchive:
          description: FTP server remote path archive
          type: string
        ftpServer:
          description: FTP server address
          type: string
        ftpUsername:
          description: FTP server username
          type: string
        ignoreExtraFields:
          description: Flag for ignoring extra fields
          type: boolean
        lastModified:
          description: Time config was last modified
          type: string
        lockName:
          description: Lock name
          type: string
        multipleFiles:
          description: Flag for using multiple files
          type: boolean
        postImportExportId:
          description: Export id post import
          type: integer
        postImportFtpId:
          description: FTP id post import
          type: integer
        postProcessAction:
          description: Enum denoting action post processing
          type: integer
        productMapping:
          description: Enum for fetch file mapping
          enum:
            - SWAP_PART_NUMBER_WITH_UPC
            - SWAP_SKU_WITH_UPC
          title: productMapping
          type: string
        refreshEnabled:
          description: Flag for Refresh Enabled
          type: boolean
        refreshFileDescription:
          description: Description for the refresh file
          type: string
        region:
          description: S3 Region
          type: string
        s3ArchivePath:
          description: S3 Archive Bucket Path (directory)
          type: string
        s3Key:
          description: S3 Key
          type: string
        s3Path:
          description: S3 Bucket Path (directory)
          type: string
        secret:
          description: S3 Secret
          type: string
        tenantID:
          description: Tenant ID
          type: integer
        updateEnabled:
          description: Flag for Update Enabled
          type: boolean
        updateFileDescription:
          description: Description for the update file
          type: string
        useControlFile:
          description: Flag for using control file
          type: boolean
        zeroOutNegatives:
          description: Flag for converting negatives to zero
          type: boolean
      title: M_FetchFileConfig
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: JWT Authorization header using the Bearer scheme.
      scheme: bearer
      type: http

````